Searching the Solution Library

If you want to browse available Support topics, you can search the Solution Library. The Solution Library is a collection of problem-solving articles that are presented in an easy step-by-step format.

To search the Solution Library

  1. In the Support Welcome window, click Solutions Library.

  2. In the search box, type a word, and then click Search.

    For example, you could type "performance" or "virus." The results appear below the search box.

  3. Click any link to view more information, and then follow the steps.

    Because some actions may take you away from the step-by-step instructions, we recommend that you print the topic.


Staying informed about protection issues

If you need help using Norton 360, you can find helpful information on the Symantec Web site. It contains many useful and informative features that are especially designed to complement Norton 360, including the following:

  • Detailed background information about current threats and outbreaks

  • A newsletter to which you can subscribe

  • A protection blog, where you can post your own comments and view comments from experts

  • Club Symantec, where you can receive special offers and discounts.

To stay informed

  1. Open your browser and go to the following address: www.symantec.com.

  2. On the Symantec Web site, click Home & Home Office.

    Here you can find many resources to help keep you informed. Because these are constantly updated and enhanced, the available resources will vary.

  3. Click any of the following:

    • Norton Protection Blog

      Prominent leaders from inside and outside Symantec post messages to give you information straight from the source.

    • Security Report

      Read the Home & Home Office Security report, which gives you an overview of Internet security concerns that may affect you, and show you what you can do to protect your valuable data.

    • Club Symantec

      Visit this one-stop, solutions-based information center for Internet security and other computer related topics. The page includes regularly updated articles, podcasts, multimedia demos, customer support features, and other special offers.